grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Changes to grep/tests/status.sh


From: Stepan Kasal
Subject: Changes to grep/tests/status.sh
Date: Fri, 07 Jan 2005 06:04:44 -0500

Index: grep/tests/status.sh
diff -u grep/tests/status.sh:1.8 grep/tests/status.sh:1.9
--- grep/tests/status.sh:1.8    Thu Jun  5 07:59:30 2003
+++ grep/tests/status.sh        Fri Jan  7 10:39:02 2005
@@ -41,10 +41,24 @@
                failures=1
        fi
 
+       # should return 2 file not found
+       echo "abcd" | ${GREP} -E -s 'abc' - MMMMMMMM.MMM > /dev/null 2>&1
+       if test $? -ne 2 ; then
+               echo "Status: Wrong status code, test \#5 failed"
+               failures=1
+       fi
+
        # should return 0 found a match
        echo "abcd" | ${GREP} -E -q -s 'abc' MMMMMMMM.MMM - > /dev/null 2>&1
        if test $? -ne 0 ; then
-               echo "Status: Wrong status code, test \#5 failed"
+               echo "Status: Wrong status code, test \#6 failed"
+               failures=1
+       fi
+
+       # should still return 0 found a match
+       echo "abcd" | ${GREP} -E -q 'abc' MMMMMMMM.MMM - > /dev/null 2>&1
+       if test $? -ne 0 ; then
+               echo "Status: Wrong status code, test \#7 failed"
                failures=1
        fi
 fi




reply via email to

[Prev in Thread] Current Thread [Next in Thread]